#pragma once
#include <QMainWindow>
#include <QVBoxLayout>
#include <QStackedWidget>
#include <QTimer>
#include "db/DeviceInfo.h"
#include "widget/FlowLayout.h"

class MainWindow final : public QMainWindow {
    Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = nullptr);
    void loadDevices();

private:
    QWidget* central;
    FlowLayout* flowLayout;
    QTimer* timer;
    QStackedWidget* stackedWidget;

    QWidget* devicePage = nullptr;
    QWidget* accountPage = nullptr;

    void createDevicePage();
    void deleteDevicePage();
};
